バージョン選択

フォーラム

メニュー

オンライン状況

32 人のユーザが現在オンラインです。 (14 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 32
もっと...

サイト内検索

質問 > その他 > EC-CUBE 4.X インストールができない

その他

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
inastar
投稿日時: 2019/1/1 10:09
対応状況: −−−
半人前
登録日: 2011/10/24
居住地:
投稿: 26
EC-CUBE 4.X インストールができない
皆様、新年明けましておめでとうございます。
本年もよろしくお願いします。

[EC-CUBE] 4.0.1
[レンタルサーバ] heteml
[OS] osx
[PHP] 7.1 モジュール
[データベース] mysql 5.6
[ブラウザ] safari, chrome
[現象] 全てのファイルをアップロードし、ドメインにアクセスすると以下のメッセージが表示されます。

Parse error: syntax error, unexpected 'class' (T_CLASS), expecting identifier (T_STRING) or variable (T_VARIABLE) or '{' or '$' in /home/sites/heteml/users/i/n/a/xxxx/web/xxxyyyzzz.com/shop/index.php on line 22

アップロードの問題と思い、何度かアップロードを繰り返したが同じ現象です。
次にルートディレクトリーではなくshopフォルダーに入れた場合でも同じく、phpのバージョンを5.6 → 7.0 → 7.1のしても現象は同じでした。

ロリポップサーバーでインストールできないのと同じ現象ですかね?

同サーバーにEC-CUBE 3.Xはインストールできます。

よろしくお願いします。
nanasess
投稿日時: 2019/1/1 12:31
対応状況: −−−
登録日: 2006/9/9
居住地: 宝塚
投稿: 1894
Re: EC-CUBE 4.X インストールができない
PHP7.1 でしたら、このエラーは出ないと思いますが、いかがでしょう?


----------------
大河内健太郎(Kentaro Ohkouchi)
EC-CUBE公式エバンジェリスト
有限会社 Loop AZ

EC-CUBE1系2系長期サポートホスティングサービス CUBE Lab
https://cubelab.info/

inastar
投稿日時: 2019/1/7 13:37
対応状況: −−−
半人前
登録日: 2011/10/24
居住地:
投稿: 26
Re: EC-CUBE 4.X インストールができない
ご丁寧に返事いただきありがとうございます。

サーバーのPHP状況を確認しましたところ、PHP7.1でした。
同じサーバーの別ドメインにアップロード、アクセスしたところやはり同じエラーが表示されました。

よろしくお願いします。
スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


ec-cube.co

統計情報

総メンバー数は45,179名です
総投稿数は91,762件です

投稿数ランキング

1
seasoft
7332
2
AMUAMU
2712
3
nanasess
1894
4
468
1746
5
yuh
1584
6
umebius
1296
7
red
1281
8
fukap
907
9
tsuji
837
10
shutta
827
11 ramrun 789
12
tao_s
750
13
h_tanaka
730
14 karin 656
15 sumida 641
16
homan
633
17 DELIGHT 571
18
patapata
502
19
flealog
483
20 tonton 436


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© LOCKON CO.,LTD. All Rights Reserved.